Uploaded image for project: 'WildFly Elytron'
  1. WildFly Elytron
  2. ELY-1821

ProviderUtil should contain overloaded methods which accept arrays of Providers

    Details

    • Type: Bug
    • Status: Resolved (View Workflow)
    • Priority: Major
    • Resolution: Done
    • Affects Version/s: None
    • Fix Version/s: 1.10.0.CR1
    • Component/s: Utils
    • Labels:
      None

      Description

      Presently the methods only accept Supplier<Provider[]> - this means even if you have an array of Provider instances it needs wrapping in a Supplier just to use these methods.

        Gliffy Diagrams

          Attachments

            Issue Links

              Activity

                People

                • Assignee:
                  dlofthouse Darran Lofthouse
                  Reporter:
                  dlofthouse Darran Lofthouse
                • Votes:
                  0 Vote for this issue
                  Watchers:
                  1 Start watching this issue

                  Dates

                  • Created:
                    Updated:
                    Resolved: